Package org.apache.tapestry5.http.internal.gzip

## Class GZipFilter

- java.lang.Object
- - org.apache.tapestry5.http.internal.gzip.GZipFilter

- All Implemented Interfaces:
    `HttpServletRequestFilter`

      public class GZipFilter
      extends Object
      implements HttpServletRequestFilter

  Filter that adds GZIP compression to the response, if the client supports it.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GZipFilter​(int cutover, ResponseCompressionAnalyzer responseAnalyzer, CompressionAnalyzer compressionAnalyzer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `service​(HttpServletRequest request, HttpServletResponse response, HttpServletRequestHandler handler)` | Filter interface for the HttpServletRequestHandler pipeline.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZipFilter

          public GZipFilter​(@Symbol("tapestry.min-gzip-size")
                            int cutover,
                            ResponseCompressionAnalyzer responseAnalyzer,
                            CompressionAnalyzer compressionAnalyzer)

  - ### Method Detail

    - #### service

          public boolean service​(HttpServletRequest request,
                                 HttpServletResponse response,
                                 HttpServletRequestHandler handler)
                          throws IOException

      Description copied from interface: `HttpServletRequestFilter`
      Filter interface for the HttpServletRequestHandler pipeline. A filter should delegate to the handler. It may perform operations before or after invoking the handler, and may modify the request and response passed in to the handler.
      Specified by:
        `service` in interface `HttpServletRequestFilter`
      Returns:
        true if the request has been handled, false otherwise
      Throws:
        `IOException`